org.icefaces.ace.component.listcontrol

## Class ListControlBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.listcontrol.ListControlBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IListControl
  Direct Known Subclasses:
    ListControl

      public abstract class ListControlBase
      extends javax.faces.component.UIComponentBase
      implements IListControl

  Renders a set of controls for moving items among ace:list components. Requires a selector that defines the set of ace:list components to move items between. Defaults to all lists. Optionally if this component has two nested ace:list children, they will be rendered within a styled container, and connected via this control without configuration.

  For more information, see the List Control Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ListControlBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListControlBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAllLeftClass()` Return the value of the `allLeftClass` property.
    `java.lang.String` | `getAllRightClass()` Return the value of the `allRightClass` property.
    `java.lang.String` | `getControlClass()` Return the value of the `controlClass` property.
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFooterClass()` Return the value of the `footerClass` property.
    `java.lang.String` | `getFooterStyle()` Return the value of the `footerStyle` property.
    `java.lang.String` | `getFormat()` Return the value of the `format` property.
    `java.lang.String` | `getHeaderClass()` Return the value of the `headerClass` property.
    `java.lang.String` | `getHeaderStyle()` Return the value of the `headerStyle` property.
    `java.lang.String` | `getLeftClass()` Return the value of the `leftClass` property.
    `DualListPosition` | `getPosition()` Return the value of the `position` property.
    `java.lang.Object` | `getRenderContext()` Return the value of the `renderContext` property.
    `java.lang.String` | `getRightClass()` Return the value of the `rightClass` property.
    `java.lang.String` | `getSelector()` Return the value of the `selector` property.
    `java.lang.String` | `getSpacerClass()` Return the value of the `spacerClass` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setAllLeftClass(java.lang.String allLeftClass)` Set the value of the `allLeftClass` property.
    `void` | `setAllRightClass(java.lang.String allRightClass)` Set the value of the `allRightClass` property.
    `void` | `setControlClass(java.lang.String controlClass)` Set the value of the `controlClass` property.
    `void` | `setFooterClass(java.lang.String footerClass)` Set the value of the `footerClass` property.
    `void` | `setFooterStyle(java.lang.String footerStyle)` Set the value of the `footerStyle` property.
    `void` | `setFormat(java.lang.String format)` Set the value of the `format` property.
    `void` | `setHeaderClass(java.lang.String headerClass)` Set the value of the `headerClass` property.
    `void` | `setHeaderStyle(java.lang.String headerStyle)` Set the value of the `headerStyle` property.
    `void` | `setLeftClass(java.lang.String leftClass)` Set the value of the `leftClass` property.
    `void` | `setPosition(DualListPosition position)` Set the value of the `position` property.
    `void` | `setRenderContext(java.lang.Object renderContext)` Set the value of the `renderContext` property.
    `void` | `setRightClass(java.lang.String rightClass)` Set the value of the `rightClass` property.
    `void` | `setSelector(java.lang.String selector)` Set the value of the `selector` property.
    `void` | `setSpacerClass(java.lang.String spacerClass)` Set the value of the `spacerClass` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ListControlBase

          public ListControlBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setAllLeftClass

          public void setAllLeftClass(java.lang.String allLeftClass)

      Set the value of the `allLeftClass` property.

      Contents: Style class to apply to the all-left button icon element.

      Specified by:
        `setAllLeftClass` in interface `IListControl`

    - #### getAllLeftClass

          public java.lang.String getAllLeftClass()

      Return the value of the `allLeftClass` property.

      Contents: Style class to apply to the all-left button icon element. Default = 'ui-icon ui-icon-arrowstop-1-w'.

      Specified by:
        `getAllLeftClass` in interface `IListControl`

    - #### setAllRightClass

          public void setAllRightClass(java.lang.String allRightClass)

      Set the value of the `allRightClass` property.

      Contents: Style class to apply to the all-right button icon element.

      Specified by:
        `setAllRightClass` in interface `IListControl`

    - #### getAllRightClass

          public java.lang.String getAllRightClass()

      Return the value of the `allRightClass` property.

      Contents: Style class to apply to the all-right button icon element. Default = 'ui-icon ui-icon-arrowstop-1-e'.

      Specified by:
        `getAllRightClass` in interface `IListControl`

    - #### setControlClass

          public void setControlClass(java.lang.String controlClass)

      Set the value of the `controlClass` property.

      Contents: Style class to apply to the container around each button icon element.

      Specified by:
        `setControlClass` in interface `IListControl`

    - #### getControlClass

          public java.lang.String getControlClass()

      Return the value of the `controlClass` property.

      Contents: Style class to apply to the container around each button icon element. Default = 'ui-state-default ui-corner-all'.

      Specified by:
        `getControlClass` in interface `IListControl`

    - #### setFooterClass

          public void setFooterClass(java.lang.String footerClass)

      Set the value of the `footerClass` property.

      Contents: Style class to apply to the footer DIV element.

      Specified by:
        `setFooterClass` in interface `IListControl`

    - #### getFooterClass

          public java.lang.String getFooterClass()

      Return the value of the `footerClass` property.

      Contents: Style class to apply to the footer DIV element. Default = 'ui-widget-content'.

      Specified by:
        `getFooterClass` in interface `IListControl`

    - #### setFooterStyle

          public void setFooterStyle(java.lang.String footerStyle)

      Set the value of the `footerStyle` property.

      Contents: Style rules to apply to the footer DIV element.

      Specified by:
        `setFooterStyle` in interface `IListControl`

    - #### getFooterStyle

          public java.lang.String getFooterStyle()

      Return the value of the `footerStyle` property.

      Contents: Style rules to apply to the footer DIV element.

      Specified by:
        `getFooterStyle` in interface `IListControl`

    - #### setFormat

          public void setFormat(java.lang.String format)

      Set the value of the `format` property.

      Contents: Defines the order that the movement controls appear in.

      Specified by:
        `setFormat` in interface `IListControl`

    - #### getFormat

          public java.lang.String getFormat()

      Return the value of the `format` property.

      Contents: Defines the order that the movement controls appear in. Default = 'alll lft rgt allr'.

      Specified by:
        `getFormat` in interface `IListControl`

    - #### setHeaderClass

          public void setHeaderClass(java.lang.String headerClass)

      Set the value of the `headerClass` property.

      Contents: Style class to apply to the header DIV element.

      Specified by:
        `setHeaderClass` in interface `IListControl`

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

      Return the value of the `headerClass` property.

      Contents: Style class to apply to the header DIV element. Default = 'ui-state-default'.

      Specified by:
        `getHeaderClass` in interface `IListControl`

    - #### setHeaderStyle

          public void setHeaderStyle(java.lang.String headerStyle)

      Set the value of the `headerStyle` property.

      Contents: Style rules to apply to the header DIV element.

      Specified by:
        `setHeaderStyle` in interface `IListControl`

    - #### getHeaderStyle

          public java.lang.String getHeaderStyle()

      Return the value of the `headerStyle` property.

      Contents: Style rules to apply to the header DIV element.

      Specified by:
        `getHeaderStyle` in interface `IListControl`

    - #### setLeftClass

          public void setLeftClass(java.lang.String leftClass)

      Set the value of the `leftClass` property.

      Contents: Style class to apply to the left button icon element.

      Specified by:
        `setLeftClass` in interface `IListControl`

    - #### getLeftClass

          public java.lang.String getLeftClass()

      Return the value of the `leftClass` property.

      Contents: Style class to apply to the left button icon element. Default = 'ui-icon ui-icon-arrow-1-w'.

      Specified by:
        `getLeftClass` in interface `IListControl`

    - #### setPosition

          public void setPosition(DualListPosition position)

      Set the value of the `position` property.

      Contents: When dual list mode is used, this property will determine if we render the migration control in the "MIDDLE", on the "TOP", "BOTTOM" or "BOTH" ends of the nested lists. "ALL" renders controls in every position

      Specified by:
        `setPosition` in interface `IListControl`

    - #### getPosition

          public DualListPosition getPosition()

      Return the value of the `position` property.

      Contents: When dual list mode is used, this property will determine if we render the migration control in the "MIDDLE", on the "TOP", "BOTTOM" or "BOTH" ends of the nested lists. "ALL" renders controls in every position Default = 'DualListPosition.TOP'.

      Specified by:
        `getPosition` in interface `IListControl`

    - #### setRightClass

          public void setRightClass(java.lang.String rightClass)

      Set the value of the `rightClass` property.

      Contents: Style class to apply to the right button icon element.

      Specified by:
        `setRightClass` in interface `IListControl`

    - #### getRightClass

          public java.lang.String getRightClass()

      Return the value of the `rightClass` property.

      Contents: Style class to apply to the right button icon element. Default = 'ui-icon ui-icon-arrow-1-e'.

      Specified by:
        `getRightClass` in interface `IListControl`

    - #### setSelector

          public void setSelector(java.lang.String selector)

      Set the value of the `selector` property.

      Contents: JQuery/CSS selector defining the group of lists this control navigates and creates mutually exclusive selection between. Default selects all lists. When in dual list mode, this property has no effect.

      Specified by:
        `setSelector` in interface `IListControl`

    - #### getSelector

          public java.lang.String getSelector()

      Return the value of the `selector` property.

      Contents: JQuery/CSS selector defining the group of lists this control navigates and creates mutually exclusive selection between. Default selects all lists. When in dual list mode, this property has no effect. Default = '.if-list'.

      Specified by:
        `getSelector` in interface `IListControl`

    - #### setSpacerClass

          public void setSpacerClass(java.lang.String spacerClass)

      Set the value of the `spacerClass` property.

      Contents: Style class to apply to the spacer container around each button element.

      Specified by:
        `setSpacerClass` in interface `IListControl`

    - #### getSpacerClass

          public java.lang.String getSpacerClass()

      Return the value of the `spacerClass` property.

      Contents: Style class to apply to the spacer container around each button element.

      Specified by:
        `getSpacerClass` in interface `IListControl`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Style rules to apply to the container DIV element.

      Specified by:
        `setStyle` in interface `IListControl`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Style rules to apply to the container DIV element.

      Specified by:
        `getStyle` in interface `IListControl`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Style class to apply to the container DIV element.

      Specified by:
        `setStyleClass` in interface `IListControl`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Style class to apply to the container DIV element. Default = 'ui-widget-content ui-corner-all'.

      Specified by:
        `getStyleClass` in interface `IListControl`

    - #### setRenderContext

          public void setRenderContext(java.lang.Object renderContext)

      Set the value of the `renderContext` property.

      Specified by:
        `setRenderContext` in interface `IListControl`

    - #### getRenderContext

          public java.lang.Object getRenderContext()

      Return the value of the `renderContext` property.

      Specified by:
        `getRenderContext` in interface `IListControl`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.